<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 7.8.6: Mathematical Functions</title>
<link href="sx10l.html" rev=precedes>
<link href="sx10n.html" rel=precedes>
<link href="sx10.html" rev=subdocument>
</head>
<body>
<H2>section 7.8.6: Mathematical Functions</H2>
page 168
<p>Note that the <TT>pow</TT> function is how you do 
exponentiation in C--C does not have a built-in 
exponentiation operator
(such as <TT>**</TT> or <TT>^</TT> in some other languages).
</p><p>Before calling these functions,
remember to <TT>#include &lt;math.h&gt;</TT>.
(It's always a good idea to <TT>#include</TT> the appropriate 
header(s) before using any library functions,
but the math functions are particularly unlikely to work 
correctly if you forget.)
Also,
under Unix,
you may have to explicitly request the math library
by adding the <TT>-lm</TT> option at the end of the command line
when compiling/linking.
</p><hr>
<p>
Read sequentially:
<a href="sx10l.html" rev=precedes>prev</a>
<a href="sx10n.html" rel=precedes>next</a>
<a href="sx10.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
